Subject: FVWM: Re: Pager Patch

From: [email-masked] (Albrecht Kadlec)
Date: Tue, 4 Feb 97 17:38:45 +0100

>>>>> Rob Whapham writes:

R> Attached is a patch for the FvwmPager module distributed with Fvwm95 v2.0.43a
R> (it may also work with the real Fvwm2, which is why I'm also sending this to
R> both mailing lists).  It adds the option to allow the pager to display a
R> window's title/mini icon instead of it's name (or instead of nothing). 

R> By the way, all the changes in the patch are line additions, so if it doesn't
R> fit exactly with the real Fvwm2, it shouldn't be too hard to do the patch by
R> hand.
did so, but:

ld: Undefined symbol
   _win_hi_fore_pix
   _win_back_pix
   _WindowHiBack
   _WindowHiFore
   _win_hi_back_pix
   _WindowBack
   _WindowFore
   _MiniIcons
   _win_fore_pix

these are all added as 'extern' definitions in your patch, but there's no
actual definition (at least in the diff in your mail).
???

albrecht
-- 
I'd explain it to you, but your brain would explode.
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: "R. N. Cross" <[email-masked]>
Date: Wed, 05 Feb 1997 08:57:41 +0000

>>>>> Rob Whapham writes:
> Attached is a patch for the FvwmPager module distributed with Fvwm95 v2.0.43a
> (it may also work with the real Fvwm2, which is why I'm also sending this to
> both mailing lists).  It adds the option to allow the pager to display a
> window's title/mini icon instead of it's name (or instead of nothing).  To
> enable it, use:
> 
...cut
Hi Rob,
Nice one! Tried patching it in and although a couple of the parts of the
diff failed so I had to put them in by hand, it all compiled and linked
with no problems. So, now I have a rather nice looking pager full of
mini-icons. Although I now have the colours worked out to my
satisfaction (through good ole' trial and error!) how does your new
colour command and the previous interact?
Thanks,
Nick
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].